Name:		ttaenc
Version:	3.4.1
Release:	%mkrel 5
Summary:	The True Audio (TTA) Codec Lossless audio compressor
License:	GPLv2
Group:		Sound/Editors and Converters
URL:		http://sourceforge.net/projects/tta/
Source:		http://sourceforge.net/projects/tta/files/tta/ttaenc-src/%{name}-%{version}-src.tgz
Patch0:		ttaenc-3.4.1-mdv-src-shntool.patch


%description
TTA performs Lossless compression on multichannel 8,16 and 24 bits
data of the Wav audio files. Being "lossless" means that no data-
quality is lost in the compression - when uncompressed, the data will
be identical to the original. The compression ratios of TTA depend on
the type of music file being compressed, but the compression size
will generally range between 30% - 70% of the original. TTA format
supports both of ID3v1/v2 and APEv2 tags. Detailed format description
is available at http://tta.sourceforge.net

This version is patched with shntool patch.

%prep
%setup -q -n %{name}-%{version}-src
%autopatch -p1

# disable sse flags on arm
%ifarch %{arm}
sed -i -e 's| -msse||' Makefile
%endif

%build
%make

%install
mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}/%{name}

%files
%doc COPYING README
%{_bindir}/%{name}


%changelog
* Fri Feb 05 2016 daviddavid <daviddavid> 3.4.1-5.mga6
+ Revision: 936948
- disable sse flags on arm

* Thu Feb 04 2016 umeabot <umeabot> 3.4.1-4.mga6
+ Revision: 935167
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.4.1-3.mga5
+ Revision: 748632
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.4.1-2.mga5
+ Revision: 689965
- Mageia 5 Mass Rebuild

* Sat Mar 01 2014 david-david <david-david> 3.4.1-1.mga5
+ Revision: 598476
- imported package ttaenc

